import { z } from 'zod';
/**
 * External Documentation Object
 *
 * Allows referencing an external resource for extended documentation.
 *
 * @see https://github.com/OAI/OpenAPI-Specification/blob/main/versions/3.1.1.md#external-documentation-object
 */
export declare const ExternalDocumentationObjectSchema: z.ZodObject<{
    /** A description of the target documentation. CommonMark syntax MAY be used for rich text representation. */
    description: z.ZodOptional<z.ZodString>;
    /** REQUIRED. The URL for the target documentation. This MUST be in the form of a URL. */
    url: z.ZodString;
}, "strip", z.ZodTypeAny, {
    url: string;
    description?: string | undefined;
}, {
    url: string;
    description?: string | undefined;
}>;
//# sourceMappingURL=external-documentation-object.d.ts.map