/// <reference path="./AbstractTSAAdapter.d.ts" />
/// <reference path="./Accuracy.d.ts" />
/// <reference path="./FixedTSAAdapter.d.ts" />
/// <reference path="./MessageImprint.d.ts" />
/// <reference path="./PKIFailureInfo.d.ts" />
/// <reference path="./PKIFreeText.d.ts" />
/// <reference path="./PKIStatus.d.ts" />
/// <reference path="./PKIStatusInfo.d.ts" />
/// <reference path="./SimpleTSAAdapter.d.ts" />
/// <reference path="./TimeStampReq.d.ts" />
/// <reference path="./TimeStampResp.d.ts" />
/// <reference path="./TSPUtil.d.ts" />
/// <reference path="./TSTInfo.d.ts" />

declare namespace jsrsasign.KJUR.asn1 {
    /**
     * kjur's ASN.1 class for RFC 3161 Time Stamp Protocol
     *
     * This name space provides
     * [RFC 3161 Time-Stamp Protocol(TSP)](https://tools.ietf.org/html/rfc3161)
     * data generator.
     *
     * __FEATURES__
     *
     * - easily generate CMS SignedData
     * - APIs are very similar to BouncyCastle library ASN.1 classes. So easy to learn.
     */
    namespace tsp {
        //
    }
}
