/// <reference path="./asn1/index.d.ts" />
/// <reference path="./crypto/index.d.ts" />
/// <reference path="./jws/index.d.ts" />
/// <reference path="./lang/index.d.ts" />

declare namespace jsrsasign {
    /**
     * kjur's class library name space
     *
     * This name space provides following name spaces:
     *
     * - `KJUR.asn1` - ASN.1 primitive hexadecimal encoder</li>
     * - `KJUR.asn1.x509` - ASN.1 structure for X.509 certificate and CRL</li>
     * - `KJUR.crypto`- Java Cryptographic Extension(JCE) style MessageDigest/Signature class and utilities
     */
    namespace KJUR {
        //
    }
}
